FL4REC-API FLAM4 Record Interface (Windows and Linux conform with z/OS (MF-EDZ))

Data Structures | Typedefs | Enumerations
Data types

Definition of used data types for FLAM's APIs. More...

## Data Structures
struct | key_element
| Defines a key element for index sequential access methods (VSAM-KSDS) More...
struct | key_description
| Key elements for index sequential data access. More...

## Typedefs
typedef char | C08
| 8 bit character More...
typedef signed char | I08
| signed 8 bit integer More...
typedef unsigned char | U08
| unsigned 8 bit integer More...
typedef signed short | I16
| signed 16 bit integer More...
typedef unsigned short | U16
| unsigned 16 bit integer More...
typedef signed int | I32
| signed 32 bit integer More...
typedef unsigned int | U32
| unsigned 32 bit integer More...
typedef signed long long int | I64
| signed 64 bit integer More...
typedef unsigned long long int | U64
| signed 64 bit integer More...
typedef struct key_element | FKE
| Defines a key element for index sequential access methods (VSAM-KSDS) More...
typedef struct key_description | FKD
| Key elements for index sequential data access. More...

## Enumerations
enum | flmset_parameter { FLMSET_SPLITMODE = 1 , FLMSET_SPLITNUMBER = 2 , FLMSET_SPLITSIZE = 3 , FLMSET_PRIMARY_SPACE = 4 , FLMSET_SECONDARY_SPACE = 5 , FLMSET_VOLUME = 6 , FLMSET_UNIT = 7 , FLMSET_DATA_CLASS = 8 , FLMSET_STORAGE_CLASS = 9 , FLMSET_MANAGEMENT_CLASS = 10 , FLMSET_DISPOSTION_STATUS = 11 , FLMSET_DISPOSITION_NORMAL = 12 , FLMSET_DISPOSITION_ABNORMAL = 13 , FLMSET_CRYPTOMODE =2001 , FLMSET_SECUREINFO =2002 }
| The flmset_parameter enum defines constants for the flmset() function. More...
enum | flmget_parameter { FLMGET_SPLITMODE = 1 , FLMGET_SPLITNUMBER = 2 , FLMGET_SPLITSIZE = 3 , FLMGET_CRYPTOMODE =2001 , FLMGET_SECUREINFO =2002 , FLMGET_MODE =4001 , FLMGET_RLCOMPMODE =6001 }
| The flmget_parameter enum defines constants for the flmqry() function. More...

## Detailed Description

Definition of used data types for FLAM's APIs.

## Typedef Documentation

## ◆ C08

typedef char C08

8 bit character

## ◆ I08

typedef signed char I08

signed 8 bit integer

## ◆ U08

typedef unsigned char U08

unsigned 8 bit integer

## ◆ I16

typedef signed short I16

signed 16 bit integer

## ◆ U16

typedef unsigned short U16

unsigned 16 bit integer

## ◆ I32

typedef signed int I32

signed 32 bit integer

## ◆ U32

typedef unsigned int U32

unsigned 32 bit integer

## ◆ I64

typedef signed long long int I64

signed 64 bit integer

## ◆ U64

typedef unsigned long long int U64

signed 64 bit integer

## ◆ FKE

typedef struct key_element FKE

Defines a key element for index sequential access methods (VSAM-KSDS)

## ◆ FKD

typedef struct key_description FKD

Key elements for index sequential data access.

Defines up to 8 key elements for index sequential data access. Such access methods are only supported on mainframe systems (BSAM/VSAM).

## Enumeration Type Documentation

## ◆ flmset_parameter

enum flmset_parameter

The flmset_parameter enum defines constants for the flmset() function.

Enumerator
FLMSET_SPLITMODE | split mode 0: none, 1: serial, 2: parallel
FLMSET_SPLITNUMBER | split number 2 - 4
FLMSET_SPLITSIZE | split size in MiB 1 - 4095
FLMSET_PRIMARY_SPACE | size of primary in MiB 1 - 4095
FLMSET_SECONDARY_SPACE | size of secondary space in MiB 1 - 4095
FLMSET_VOLUME | volume name 1-8 character
FLMSET_UNIT | unit name 1 - 8 character
FLMSET_DATA_CLASS | data class name 1 - 8 character
FLMSET_STORAGE_CLASS | storage class name 1 - 8 character
FLMSET_MANAGEMENT_CLASS | management class name 1 - 8 character
FLMSET_DISPOSTION_STATUS | disposition status 0: Default, 1: NEW, 2: OLD, 3: SHR, 4: MOD
FLMSET_DISPOSITION_NORMAL | normal disposition 0: Default, 1: DELETE, 2: KEEP, 3: CATLG, 4: UNCATLG
FLMSET_DISPOSITION_ABNORMAL | abnormal disposition 0: Default, 1: DELETE, 2: KEEP, 3: CATLG, 4: UNCATLG
FLMSET_CRYPTOMODE | mode of encryption 0: none, 1: FLAM, 2: AES
FLMSET_SECUREINFO | secure info 0: no, 1: yes, 2: ignore, 3: member

## ◆ flmget_parameter

enum flmget_parameter

The flmget_parameter enum defines constants for the flmqry() function.

Enumerator
FLMGET_SPLITMODE | split mode 0: none, 1: serial, 2: parallel
FLMGET_SPLITNUMBER | split number 2 - 4
FLMGET_SPLITSIZE | split size in MiB 1 - 4095
FLMGET_CRYPTOMODE | mode of encryption 0: none, 1: FLAM, 2: AES
FLMGET_SECUREINFO | secure info 0: no, 1: yes, 2: ignore, 3: member
FLMGET_MODE | general mode 0: deco/read 1: comp/write
FLMGET_RLCOMPMODE | real compression mode 3: ADC 8: ZEDC